<?php

namespace App\Domain\PaymentGateway\Services;

class InterkassaService
{
    public static function payments_link($amount, $order_id)
    {
        $configuration = new \Interkassa\Helper\Config();
        $configuration->setCheckoutSecretKey(env('INTERKASSA_SECRET_KEY'));
        $configuration->setAuthorizationKey(env('INTERKASSA_AUTH_KEY'));
        $configuration->setAccountId(env('INTERKASSA_ACCOUNT_ID'));
        $SDKClient = new \Interkassa\Interkassa($configuration);

        $invoiceRequest = new \Interkassa\Request\GetInvoiceRequest();
        $invoiceRequest
            ->setCheckoutId(env('INTERKASSA_ID'))
            ->setPaymentNumber($order_id)
            ->setAmount($amount)
            ->setCurrency('RUB')
            ->setDescription('Пополнение баланса');

        return $SDKClient->makeInvoiceSciLink($invoiceRequest);
    }
}
